## NAME

s.univar - Univariate statistics for a GRASS sites list.
(GRASS Sites Program)

## SYNOPSIS

s.univar
s.univar help
s.univar [-aglq] sites=name [field=value]

## DESCRIPTION

s.univar calculates univariate statistics of sites lists. This includes the number of sites, mean, standard deviation, coefficient of variation, mininum, first quartile, median, third quartile, and maximum.

## OPTIONS

### Flags:

-a
  Use all sites found in the named sites file, rather than limiting output to sites falling within the current geographic region.
-g
  Print the statistics in shell script style (similar to g.region).
-l
  Use site descriptions (category labels) for z values. Sites must be in the (E|N|#n desc) format for this to work. Default format is just three pipe-separated floating point numbers (E|N|desc).
-q
  Quiet. Cut out the chatter.

### Parameters:

sites=name
  Name of an existing sites file.
field
  Number of z-field attribute to use for calculation
  default: 1

## SEE ALSO

s.normal, r.univar,

## BUGS

Needs to do as many calculations as possible without storing individual site records (requires a lot of memory).

## BUGS

Please send all bug fixes and comments to the author or the grass development team.
`http://www.geog.uni-hannover.`

## AUTHOR

James Darrell McCauley <darrell@mccauley-usa.com>,
when he was at: Agricultural Engineering Purdue University

Last changed: $Date: 2002/01/25 05:45:35 $